<?php

namespace Drupal\atoms;

trait AtomsTrait
{

  /**
   * Returns a render array representation of the object.
   *
   * @param string $machine_name
   * @param string|null $langcode
   *
   * @return array
   *   A render array to render the atom.
   */
  public function atom($machine_name, $langcode = NULL)
  {
    /** @var AtomsViewBuilder $service */
    $service = $this->getAtoms();
    return $service->get($machine_name, $langcode)->toRenderable();
  }

  public function getAtoms(): AtomsViewBuilder
  {
    /** @var AtomsViewBuilder $service */
    static $service = null;
    if (is_null($service)) {
      $service = \Drupal::service('atoms');
    }
    return $service;
  }

}
