<?php

namespace Drupal\atoms\Form;

use Drupal\atoms\Atom;
use Drupal\Core\Form\FormStateInterface;

class AtomsTranslationForm extends AtomsEditForm
{

  /**
   * Returns a unique string identifying the form.
   *
   * @return string
   *   The unique string identifying the form.
   */
  public function getFormId()
  {
    return 'atoms_translation_form';
  }

  public function submitForm(array &$form, FormStateInterface $form_state)
  {
    parent::submitForm($form, $form_state);

    $group_id = '';
    $atoms = $this->getGroup($form_state);
    /** @var Atom $atom */
    foreach ($atoms as $atom) {
      $group_id = $atom->getGroupID();
    }

    $form_state->setRedirect('atoms.translate.overview', [
      'group_id' => $group_id,
    ]);
  }

  public function getTitle($group_id, $langcode = NULL)
  {
    $group_name = \Drupal::service('atoms.storage')->getGroupName($group_id);
    return $this->t('Translate %title',
      ['%title' => $this->t($group_name)],
      ['langcode' => $langcode]);
  }

  protected function onSaveRedirectRoute()
  {
    return 'atoms.translate.overview';
  }

}
